#ifndef OBJECT_SET_H
#define OBJECT_SET_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: set.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include "reference.h"
#include "token_list.h"
#include "list.h"

class JC_set : public JC_list {
public:
	JC_set(void);
	JC_set(vector<JC_objref*> &);
	~JC_set(void);

	const obj_type get_type(void) const;
	std::string to_string() const;
	std::string to_output_string() const;
	std::string key(void) const;
};
#endif // OBJECT_SET_H
